#ifndef _TES3TESTCASEWRAPPER_HPP
#define _TES3TESTCASEWRAPPER_HPP
/*-------------------------------------------------------------------------
 * drawElements Quality Program OpenGL ES 3.0 Module
 * -------------------------------------------------
 *
 * Copyright 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *//*!
 * \file
 * \brief OpenGL ES 3.0 Test Case Wrapper.
 *//*--------------------------------------------------------------------*/

#include "tcuDefs.hpp"
#include "tcuTestCaseWrapper.hpp"
#include "gluRenderContext.hpp"

namespace deqp
{
namespace gles3
{

class TestCaseWrapper : public tcu::TestCaseWrapper
{
public:
											TestCaseWrapper			(tcu::TestContext& testCtx, glu::RenderContext& renderCtx);
	virtual									~TestCaseWrapper		(void);

	virtual bool							initTestCase			(tcu::TestCase* testCase);

	// If deinit returns false, test execution will be aborted.
	virtual bool							deinitTestCase			(tcu::TestCase* testCase);
	virtual tcu::TestNode::IterateResult	iterateTestCase			(tcu::TestCase* testCase);

private:
	glu::RenderContext&						m_renderCtx;
};

} // gles3
} // deqp

#endif // _TES3TESTCASEWRAPPER_HPP
